Add Document to Binder
Add a document to a binder.
Binders cannot exceed 50,000 nodes. Nodes include documents, sections, and component binders. If a binder has reached its limit, binder nodes cannot be added to the binder or any of its component binders, even if the component binders have not reached the 50,000 node limit.
POST
/api/{version}/objects/binders/{binder_id}/documentsHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/x-www-form-urlencoded |
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{binder_id} | The binder id field value. |
Body Parameters
Section link for Body ParametersRequest
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "document_id__v=585" \
-d "parent_id__v=1427232809771:1381853041" \
-d "section_id__v=1" \
-d "binding_rule__v=steady-state" \
https://myvault.veevavault.com/api/v24.1/objects/binders/566/documentsResponse
Section link for Response{
"responseStatus": "SUCCESS",
"id": "1427491342404:-1828014479"
}